biew(1)

NAME
BIEW - console hex viewer/editor and disassembler.

SYNOPSIS
biew [OPTIONS] file...

DESCRIPTION
BIEW (Binary vIEW) is a free, portable, advanced file viewer with built-in editor for binary, hexadecimal and disassembler modes. It contains a highlight PentiumIV/K7-Athlon/Cyrix-M2 disassembler, full preview of MZ, NE, PE, LE, LX, DOS.SYS, NLM, ELF, a.out, arch, coff32, PharLap, rdoff executable formats, a code guider, and lot of other features, making it invaluable for examining binary code. Refer to biew_en.txt and unix.txt files which should come along with the program package for detailed description of what BIEW can do for you -- this manual page describes only several UNIX-specific features, and is quite useless without the above mentioned documents.

COMMAND-LINE OPTIONS

-a  autodetect mode (default)

-b  view file in binary mode

-d  view file in disassembler mode

-h  view file in hexadecimal mode

-t  view file in text mode

-s  change size of file to NNN bytes (create, if file does not exist)

-i  ignore .ini file (create new)

-?  display help screen

UNIX-specific features of BIEW
1) Key modifiers in terminal mode are re-mapped as: CTRL+A = ALT CTRL+C = CTRL CTRL+S = SHIFT i.e. pressing CTRL+A acts as holding down ALT , and so on. CTRL+Z resets modifiers to defaults. Modifiers are also reseted after any function key is pressed. [except for BIEW/LINUX in console mode] 2) There are several limitations on output in terminal mode, i.e. you can't see all characters as they are (output is filtered to avoid unexpected behavior). [except for BIEW/LINUX in console mode] 3) It is possible to use 7bit output. 4) Configuration file is ~/.biewrc, not biew.ini.

Linux-specific features
Current Linux version of BIEW supports two work modes: console and VT100 compatible terminal. Console version can act EXACTLY as dos/os2/win32 version, this means that you can't switch virtual consoles by pressing ALT+Fx, because these keys are used by BIEW -- use CTRL+ALT+Fx combination for that purpose. Terminal mode should work on any VT100 compatible terminal. Linux console version uses:
    - scan codes (not keystrokes)
    - direct video output via /dev/vcsa
IMPORTANT! Console mode is invoked only:
    1) if "Direct console access" flag is enabled (F9)
    2) on pure virtual terminal
In any other case VT100 mode is used.

BUGS
There could be few. You can fix them on your own, or ask authors to do it.

AUTHOR
BIEW is written by
Nickols_K <nickols_k@mail.ru>. UNIX ports are done by
Konstantin Boldyshev <konst@linuxassembly.org>. BIEW homepage is at http://biew.sourceforge.net